Bug 1269413 - running master on FC22 server.log shows several warnings about java modules.
running master on FC22 server.log shows several warnings about java modules.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Juan Hernández
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 05:39 EDT by Sandro Bonazzola
Modified: 2016-07-26 07:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-26 07:05:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑4.0.0?
ylavi: planning_ack+
oourfali: devel_ack+
sbonazzo: testing_ack?


Attachments (Terms of Use)
warnings in server.log (36.09 KB, text/plain)
2015-10-07 05:39 EDT, Sandro Bonazzola
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47111 master MERGED core: Disable warnings about private modules Never

  None (edit)
Description Sandro Bonazzola 2015-10-07 05:39:55 EDT
Created attachment 1080562 [details]
warnings in server.log

Description of problem:
running master on FC22 server.log shows several warnings about java modules.
The warning are probably harmless but I think they're worth to be reviewed and addressed if possible.


Version-Release number of selected component (if applicable):
ovirt-engine-4.0.0-0.0.master.20151006175807.gitcf9753a.fc22.noarch

How reproducible:
100%

Steps to Reproduce:
1. engine-setup
2. check server.log
3.

Actual results:
See attachment.

Expected results:
No warning or at least a reduced number of warnings

Additional info:
Comment 1 Oved Ourfali 2015-10-08 01:23:06 EDT
Juan - can you have a look?
Comment 2 Juan Hernández 2015-10-08 04:14:42 EDT
I think that this isn't a serious issue, and that it isn't worth fixing. But if we want to avoid those messages we have several alternatives:

1. Stop using the modules provided by JBoss. This doesn't make any sense, in my opinion.

2. Create copies of the modules provided by JBoss, and use those instead of the original ones. This doesn't make sense either.

3. Mute the logging category that issues that warning. That is what the proposed patch does.
Comment 3 Oved Ourfali 2015-10-08 04:25:37 EDT
I totally agree.
Comment 4 Lukas Svaty 2016-07-26 07:05:08 EDT
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA

Note You need to log in before you can comment on or make changes to this bug.